CREATE procedure [C6Staging].[DecodificaIndicatoriAdeguatezza]
as
begin
--1. RM - Rischio Mercato
	update a
	set [RM_ADEGUATEZZA_DESCRIZIONE] = b.DescrizioneEsito
	from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI] a
		inner join [C6Mart].[TB_S178IndicatoriEsitoAdeguatezza_Note] b
		on a.RM_ADEGUATEZZA_INDICATORE = b.Adeguato
	where b.Ordine = 1
--2. RC - Rischio Credito
	-- 20180821 CR Rischio Credito adeguato se non si riesce a calcolarlo
		--update a
		--set [RC_ADEGUATEZZA_DESCRIZIONE] = b.DescrizioneEsito
		--from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI] a
		--	inner join [C6Mart].[TB_S178IndicatoriEsitoAdeguatezza_Note] b
		--	on a.RC_ADEGUATEZZA_INDICATORE = b.Adeguato
		--where b.Ordine = 2
	update a
	set [RS_ADEGUATEZZA_DESCRIZIONE] = b.DescrizioneEsito
	from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI] a
		inner join [C6Mart].[TB_S178IndicatoriEsitoAdeguatezza_Note] b
		on a.RS_ADEGUATEZZA_INDICATORE = b.Adeguato
	where b.Ordine = 2
	and a.RS_ADEGUATEZZA_INDICATORE in (0, 1)
	update a
	set
		a.RS_ADEGUATEZZA_INDICATORE = 1,
		a.RS_ADEGUATEZZA_DESCRIZIONE = (select b.DescrizioneEsito from [C6Mart].[TB_S178IndicatoriEsitoAdeguatezza_Note] b where b.Ordine = 2 and b.Adeguato = 1)
	from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI] a
	where a.RS_ADEGUATEZZA_INDICATORE = -1
	-- FINE 20180821 CR
--3. CE - Concentrazione emittenti
	update a
	set [TH_ADEGUATEZZA_DESCRIZIONE] = b.DescrizioneEsito
	from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI] a
		inner join [C6Mart].[TB_S178IndicatoriEsitoAdeguatezza_Note] b
		on a.TH_ADEGUATEZZA_INDICATORE = b.Adeguato
	where b.Ordine = 3
--4. CM - Complessita
	--update a
	--set [CM_ADEGUATEZZA_DESCRIZIONE] = b.DescrizioneEsito
	--from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI] a
	--	inner join [C6Mart].[TB_S178IndicatoriEsitoAdeguatezza_Note] b
	--	on a.CM_ADEGUATEZZA_INDICATORE = b.Adeguato
	--where b.Ordine = 4
	update a
	set [CM_ADEGUATEZZA_DESCRIZIONE] = (select DescrizioneEsito from [C6Mart].[TB_S178IndicatoriEsitoAdeguatezza_Note] where Ordine = 4 and Adeguato = '1')
	from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI] a
	where a.CM_ADEGUATEZZA_INDICATORE = 1
	update a
	set [CM_ADEGUATEZZA_DESCRIZIONE] = (select DescrizioneEsito from [C6Mart].[TB_S178IndicatoriEsitoAdeguatezza_Note] where Ordine = 4 and Adeguato = '-1')
	from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI] a
	where a.CM_ADEGUATEZZA_INDICATORE = -1
		update a
	set [CM_ADEGUATEZZA_DESCRIZIONE] = (select DescrizioneEsito from [C6Mart].[TB_S178IndicatoriEsitoAdeguatezza_Note] where Ordine = 4 and Adeguato = '0A')
	from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI] a
	where a.CM_ADEGUATEZZA_INDICATORE = 0
--5. CC - Concentrazione prodotti complessi
	update a
	set [CC_ADEGUATEZZA_DESCRIZIONE] = b.DescrizioneEsito
	from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI] a
		inner join [C6Mart].[TB_S178IndicatoriEsitoAdeguatezza_Note] b
		on a.CC_ADEGUATEZZA_INDICATORE = b.Adeguato
	where b.Ordine = 5
--6. FQ - Frequenza delle operazioni
	update a
	set [FQ_ADEGUATEZZA_DESCRIZIONE] = b.DescrizioneEsito
	from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI] a
		inner join [C6Mart].[TB_S178IndicatoriEsitoAdeguatezza_Note] b
		on a.FQ_ADEGUATEZZA_INDICATORE = b.Adeguato
	where b.Ordine = 6
--7. LQ - Liquidità/liquidabilità (Orizzonti temporali degli investimenti)
	update a
	set [CE_ADEGUATEZZA_DESCRIZIONE] = b.DescrizioneEsito
	from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI] a
		inner join [C6Mart].[TB_S178IndicatoriEsitoAdeguatezza_Note] b
		on a.CE_ADEGUATEZZA_INDICATORE = b.Adeguato
	where b.Ordine = 7
		update a
	set [CV_ADEGUATEZZA_DESCRIZIONE] = b.DescrizioneEsito
	from [C6Staging].[VAR_ADEGUATEZZA_INDICATORI] a
		inner join [C6Mart].[TB_S178IndicatoriEsitoAdeguatezza_Note] b
		on a.CV_ADEGUATEZZA_INDICATORE = b.Adeguato
	where b.Ordine = 8
end